// ID:ID, StartRank:开始排名, EndRank:结束排名, RewardList:奖励道具列表，填写M_ItemCFG中的道具ID, Limit:上榜限制

export default class Fish_TherionRankingCFG {
  private static data =
      {"1":{"ID":1,"StartRank":1,"EndRank":1,"RewardList":[26,4,3,30000],"Limit":3000}

      ,"2":{"ID":2,"StartRank":2,"EndRank":2,"RewardList":[26,3,3,20000],"Limit":3000}

      ,"3":{"ID":3,"StartRank":3,"EndRank":3,"RewardList":[26,2,3,10000],"Limit":3000}

      ,"4":{"ID":4,"StartRank":4,"EndRank":6,"RewardList":[26,1,3,3000],"Limit":3000}

      ,"5":{"ID":5,"StartRank":7,"EndRank":10,"RewardList":[25,2,16,150],"Limit":3000}

      ,"6":{"ID":6,"StartRank":11,"EndRank":20,"RewardList":[25,1,16,100],"Limit":3000}

      ,"7":{"ID":7,"StartRank":21,"EndRank":30,"RewardList":[24,2,16,50],"Limit":3000}

      }// ID:ID, StartRank:开始排名, EndRank:结束排名, RewardList:奖励道具列表，填写M_ItemCFG中的道具ID, Limit:上榜限制


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}